Create Versions of Products

Create versions of products in Vlocity Product Console by specifying the ID of the product and the version label in the request body.

POST /v2/epc/products/{product-ID}/versions

Remote Method

createVersionProduct2

REST Handler

APIProductVersionRestHandler

Apex Remote Service

PCAppHandler

Package

Communication (vlocity_cmt)

API Parameters and Response Format

For API parameter names and descriptions, see the Swagger (OpenAPI) reference documentation for Industries EPC REST APIs.

Resource Information

Response Format JSON
Resource URL /services/apexrest/{namespace}/v2/epc/products/{product-ID}/versions

Example Request

POST /v2/epc/products/01t3h00000214uLAAQ/versions

{
  "epcRequest": {
    "entity": {
        "Id" : "01t3h00000214uLAAQ",
         "vlocity_cmt__VersionLabel__c": "Version-2"
    }
  }
}

Example Result

{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "Product2",
                        "url": "/services/data/v52.0/sobjects/Product2/01t3h000001h1v2AAA"
                    },
                    "CanUseQuantitySchedule": false,
                    "CanUseRevenueSchedule": false,
                    "CurrencyIsoCode": "USD",
                    "Description": "Product created by Ashish to test Update",
                    "IsActive": true,
                    "IsArchived": false,
                    "IsDeleted": false,
                    "Name": "Product-Ashish",
                    "ProductCode": "Product-Ashish",
                    "RecordTypeId": "0123h000000slEnAAI",
                    "SystemModstamp": "2021-09-14T07:39:48.000+0000",
                    "vlocity_cmt__EndDate__c": "2026-01-31",
                    "vlocity_cmt__EndOfLifeDate__c": "2026-01-30T18:30:00.000+0000",
                    "vlocity_cmt__GlobalGroupKey__c": "a4096cc5-8bbb-cfd5-7b93-869a7c2b4caf",
                    "vlocity_cmt__GlobalKey__c": null,
                    "vlocity_cmt__IsConfigurable__c": false,
                    "vlocity_cmt__IsCustomerSubscription__c": false,
                    "vlocity_cmt__IsLocationDependent__c": false,
                    "vlocity_cmt__IsNotAssetizable__c": false,
                    "vlocity_cmt__IsOrderable__c": true,
                    "vlocity_cmt__JeopardySafetyIntervalUnit__c": "Seconds",
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__Scope__c": "Order Item",
                    "vlocity_cmt__SellingEndDate__c": "2026-01-30T18:30:00.000+0000",
                    "vlocity_cmt__SpecificationSubType__c": "Bundle",
                    "vlocity_cmt__SpecificationType__c": "Offer",
                    "vlocity_cmt__Status__c": "Draft",
                    "vlocity_cmt__SubType__c": "None",
                    "vlocity_cmt__TrackAsAgreement__c": false,
                    "vlocity_cmt__Type__c": "None",
                    "vlocity_cmt__VersionLabel__c": "Version-2",
                    "vlocity_cmt__VersionStartDateTime__c": null,
                    "vlocity_cmt__VersionEndDateTime__c": null,
                    "Id": "01t3h00000214uLAAQ"
                }
            }
        ],
        "overallResult": "success"
    }
}